DictionaryFeatureGenerator (Apache OpenNLP Tools 1.9.5 API)
Date: 2026-06-18

opennlp.tools.util.featuregen

## Class DictionaryFeatureGenerator

- java.lang.Object
- - opennlp.tools.util.featuregen.DictionaryFeatureGenerator

- All Implemented Interfaces:
    AdaptiveFeatureGenerator

      public class DictionaryFeatureGenerator
      extends Object
      implements AdaptiveFeatureGenerator

  The `DictionaryFeatureGenerator` uses the `DictionaryNameFinder` to generated features for detected names based on the `InSpanGenerator`.
  See Also:
    `Dictionary`, `DictionaryNameFinder`, `InSpanGenerator`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DictionaryFeatureGenerator(Dictionary dict)`
    `DictionaryFeatureGenerator(String prefix, Dictionary dict)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `createFeatures(List<String> features, String[] tokens, int index, String[] previousOutcomes)` Adds the appropriate features for the token at the specified index with the specified array of previous outcomes to the specified list of features.
    `void` | `setDictionary(Dictionary dict)`
    `void` | `setDictionary(String name, Dictionary dict)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface opennlp.tools.util.featuregen.AdaptiveFeatureGenerator

      `clearAdaptiveData, updateAdaptiveData`

- - ### Constructor Detail

    - #### DictionaryFeatureGenerator

          public DictionaryFeatureGenerator(Dictionary dict)

    - #### DictionaryFeatureGenerator

          public DictionaryFeatureGenerator(String prefix,
                                            Dictionary dict)

  - ### Method Detail

    - #### setDictionary

          public void setDictionary(Dictionary dict)

    - #### setDictionary

          public void setDictionary(String name,
                                    Dictionary dict)

    - #### createFeatures

          public void createFeatures(List<String> features,
                                     String[] tokens,
                                     int index,
                                     String[] previousOutcomes)

      Description copied from interface: `AdaptiveFeatureGenerator`
      Adds the appropriate features for the token at the specified index with the specified array of previous outcomes to the specified list of features.
      Specified by:
        `createFeatures` in interface `AdaptiveFeatureGenerator`
      Parameters:
        `features` - The list of features to be added to.
        `tokens` - The tokens of the sentence or other text unit being processed.
        `index` - The index of the token which is currently being processed.
        `previousOutcomes` - The outcomes for the tokens prior to the specified index.

Copyright © 2026 The Apache Software Foundation. All rights reserved.